#include "threads.h"
#include <unistd.h>
#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Button.H>

Fl_Window* window;
Fl_Thread t;

void* thread(void*)
{
  for(int i = 0; i != 100; ++i)
  {
    Fl::lock();
    window->copy_label("x");
    Fl::unlock();
    usleep(1000);
  }

  Fl::lock();
  window->hide();
  Fl::unlock();
  return NULL;
}

int main()
{
  window = new Fl_Window(0, 0, 100, 100, NULL);
  window->show();
  window = new Fl_Window(120, 0, 100, 100, NULL);
  new Fl_Button(10, 10, 80, 80, NULL);
  window->show();
  Fl::lock();
  fl_create_thread(t, thread, NULL);
  return Fl::run();
}
